Skip to content
This repository

Sep 09, 2012

  1. Bartosz Blimke

    Ensured that all em-http-request specs are executed for em-http-reque…

    …st 0.3.
    authored

Jan 22, 2012

  1. Bartosz Blimke

    Changed default em-http-request version dependency to >= 1.0.0. Specs…

    … against version 0.3.0 run on travis too.
    authored

Jan 04, 2012

  1. Bartosz Blimke

    Added guard to Rakefile to ensure a release is built on ruby 1.8

    authored

Sep 03, 2011

  1. Bartosz Blimke

    Fixed spec paths in Rakewfile

    authored
  2. Bartosz Blimke

    Fixed spec path in Rakefile

    authored

Aug 23, 2011

  1. Bartosz Blimke

    Run WebMock specs against both EM-HTTP-Request 0.3 and EM-HTTP-Reques…

    …t 1.0 with EM-Synchrony on Ruby > 1.9.2 on Travis CI
    authored

Aug 02, 2011

  1. Bartosz Blimke

    Fixed Net::HTTP adapter to not break normal Net::HTTP behaviour when …

    …network connections are allowed. (This fixed selenium-webdriver compatibility!!!)
    authored

Jul 30, 2011

  1. Bartosz Blimke

    Created separate folder with minitest tests instead of running them f…

    …rom within RSpec.
    authored

Jul 29, 2011

  1. Bartosz Blimke

    Updated Rakefile to use new RDoc::Task

    authored

May 18, 2011

  1. James Conroy-Finn

    Rename spec:rubies task to rvm:specs

    jcf authored
  2. James Conroy-Finn

    Make Rakefile executable

    sferik:
    > Rakefiles are executables, and rake loads rake, not rakefile code
    jcf authored
  3. James Conroy-Finn

    Rip out jeweler and use bundler instead

    jcf authored
  4. pete higgins

    Bump addressable dependency to 2.2.6 to avoid problems with 2.2.5.

    Webmock doesn't work with addressable-2.2.5 and a new version, 2.2.6,
    has been released to help with this. Change Webmock's dependency to that
    version or higher.
    phiggins authored jcf committed
  5. James Conroy-Finn

    Document setting up a WebMock development environment

     - Describe how to create a gemset for each supported Ruby version
    
     - A rake task to run specs via RVM's exec command
    
     - Add a link to the contributors page
    
    Running `rake spec:rubies` will use RVM's exec to run specs against MRI
    1.8.6, 1.8.7 and 1.9.2, Ruby Enterprise Edition and jRuby.
    jcf authored

Apr 08, 2011

  1. Myron Marston

    Add .rvmrc and Gemfile to make it easy to use bundler and rvmrc to ma…

    …nage dev dependencies for this project.

Oct 30, 2010

  1. Bartosz Blimke

    Changed WebMock specs to use RSpec2

    authored

Oct 13, 2010

  1. Bartosz Blimke

    Updated development dependencies to require newest versions of suppor…

    …ted http libraries.
    authored
  2. Bartosz Blimke

    Changed dependency on Addressable to version 2.2.2 which fixes handli…

    …ng of percent-escaped '+'
    authored

Jun 20, 2010

  1. em-http-request adapter is ignored when running under jruby

    Bartosz Blimke authored
  2. Added development dependency on em-http-request

    Bartosz Blimke authored

Jun 19, 2010

  1. Added depencdency on crack which is used do parse JSON and XML reques…

    …t bodies
    Bartosz Blimke authored

Apr 10, 2010

  1. All specs are passing when running against Patron 0.4.6 (it adds Expe…

    …ct=>'' header to requests)
    Bartosz Blimke authored

Mar 26, 2010

  1. Set dependency to Patron 0.4.5

    Bartosz Blimke authored

Feb 17, 2010

  1. Added support for Patron with basic HTTP functionality

    Bartosz Blimke authored

Dec 02, 2009

  1. Added support for basic HTTPClient functionality. Without async reque…

    …sts or streaming.
    
    * All existing functionality works against HTTPClient#request
    * Addes spec to verify that real requests work against https
    Bartosz Blimke authored

Nov 22, 2009

  1. Upgraded gem version to 0.7.2

    Bartosz Blimke authored

Nov 20, 2009

  1. Imported project to github

    Bartosz Blimke authored
Something went wrong with that request. Please try again.